/*
 * $Id: Link_affectation_toXML.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Link_affectation.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Link_affectation::toXML"
  XML Link_affectation::toXML (void)
  {
    XML xml (_name);
    
    xml.singleton_begin("link");
    xml.  attribut("name",_name);
    xml.  attribut("src" ,_src );
    xml.  attribut("dest",_dest);
    xml.singleton_end();

    return xml;
  }

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
